Numeric keypad no longer works after upgrade

Bug #197589 reported by mikko on 2008-03-02
144
This bug affects 14 people
Affects Status Importance Assigned to Milestone
gnome-control-center
Unknown
Medium
gnome-control-center (Ubuntu)
Low
Ubuntu Desktop Bugs
Nominated for Hardy by Jordon Bedwell
Nominated for Jaunty by Jordon Bedwell
xserver-xorg-input-keyboard (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Jordon Bedwell
Nominated for Jaunty by Jordon Bedwell

Bug Description

I have standard ps2 keyboard and ps2-to-usb adapter. Numeric keys section stopped to work after updating to hardy. Num Lock on or off doesn't help. The numeric keys above letters work ok.

If I log in to virtual konsole (Ctrl-Alt-F2) numeric keys work.

xorg.conf:
Section "InputDevice"
 Identifier "Generic Keyboard"
 Driver "kbd"
 Option "CoreKeyboard"
 Option "XkbRules" "xorg"
 Option "XkbModel" "pc105"
 Option "XkbLayout" "fi"
EndSection
[lspci]
00:00.0 Host bridge [0600]: VIA Technologies, Inc. K8M800 Host Bridge [1106:0204]
     Subsystem: Acer Incorporated [ALI] Unknown device [1025:006e]
01:00.0 VGA compatible controller [0300]: VIA Technologies, Inc. S3 Unichrome Pro VGA Adapter [1106:3108] (rev 01) (prog-if 00 [VGA controller])
     Subsystem: Acer Incorporated [ALI] Unknown device [1025:006e]

Thanks for your bug report.
Do you have any errors in /var/log/Xorg.0.log?

mikko (mikko-) wrote :

I don't found any errors

Changed in xserver-xorg-input-keyboard:
assignee: pascal-devuyst → nobody
status: Incomplete → New
João Cerveira (ubundux) wrote :

I have the exact same problem here.

Are you both having the same keyboard model? Please both provide the following information:

1. What brand and model is your keyboard. How is your keyboard connected to your PC: DIN, PS/2, USB, USB wireless, ...
2. For a USB keyboard enter the following command on a terminal/console:
   $ lsusb -v > ~/lsusb-v
3. Activate Numlock and push some numeric keys, deactivate Numlock and push some numeric keys.
3. Open a terminal/console and enter the following commands (minimal information as described in KernelTeamBugPolicies):
   $ dmesg > ~/dmesg
   $ uname -a > ~/uname-a
   $ cat /proc/version_signature > ~/version_signature
   $ sudo lspci -vvnn > ~/lspci-vvnn
4. Attach ~/lsusb-v, ~/dmesg, ~/uname-a, ~/version_signature and ~/lspci-vvnn to the bug report as seperate attachments.

Changed in xserver-xorg-input-keyboard:
status: New → Incomplete
João Cerveira (ubundux) wrote :

1. MK Plus TG8520MUL, PS2

João Cerveira (ubundux) wrote :
João Cerveira (ubundux) wrote :
João Cerveira (ubundux) wrote :
João Cerveira (ubundux) wrote :
mikko (mikko-) wrote :

PS/2 keyboard, connected to ps/2 to usb adapter
Keyboard: Compaq, 106 keys, model 121971-021 B (or 121971-010, it can be found with google)

mikko (mikko-) wrote :
mikko (mikko-) wrote :
mikko (mikko-) wrote :
mikko (mikko-) wrote :
mikko (mikko-) wrote :

I just noticed that my numeric keys work as a mouse, I can move the cursor with keyboard..

I haven't selected assisteve technologies in gnome-at-properties. Why it was set to on by default??

João Cerveira (ubundux) wrote :

Here happens the same with mouse, but assisteve technologies in gnome-at-properties are not on.

mikko (mikko-) wrote :

Sorry, it's not the "use assistive technologies" box. Go to gnome-at-properties then keyboard settings and then mouse buttons. (or mouse keys, I don't know if the words are correct in English, my machine is Finnish:) For me setting mouse keys to "off" fixed the problem.

I have no problems any more, numeric keys work. I did a clean hardy alpha-4 install, why mouse keys was set to on..

João Cerveira (ubundux) wrote :

Problem solved. Thanks for the help (shouldn't it be off by defaulf?)

Changed in xserver-xorg-input-keyboard:
status: Incomplete → Confirmed

Great work guys! gnome-at-properties is in gnome-control-center package, reassigning.

Changed in xserver-xorg-input-keyboard:
status: Confirmed → Triaged
Sebastien Bacher (seb128) wrote :

Thanks for your bug report. This bug has been reported to the developers of the software. You can track it and make comments here: http://bugzilla.gnome.org/show_bug.cgi?id=521197

Changed in gnome-control-center:
assignee: nobody → desktop-bugs
importance: Undecided → Low
milestone: none → ubuntu-8.04
Changed in gnome-control-center:
status: Unknown → Confirmed

Thanks mikko sorri,

the problem is now solved for me!

I think that the problem is now solved out of the box without any manual changes. Can somebody confirm it? (e.g. during fresh install)

I installed Hardy from the Alpha 5 ISO over the weekend and got bitten by this bug, and the fix didn't come in an update after I rebooted into my local Hardy install. I'm glad to see the workaround, and I've blogged it with links to both this bug and the GNOME bug. Hopefully the next Hardy milestone will confirm this bug has been resolved.

James Dupin (james.dupin) wrote :

Just done an upgrade from gutsy to hardy on a Dell Inspiron 1720

the option "allow to control the pointer using the keyboard" is still activated by default.

Luis García (angelblade) wrote :

Hi

i suggest change the option "allow to control the pointer using the keyboard" to "Disabled" by default .

Sebastien Bacher (seb128) wrote :

unsetting the milestone, the current gutsy to hardy upgrade and new install don't have the issue or it's specific to some locales or configurations

Changed in gnome-control-center:
milestone: ubuntu-8.04 → none
Rob (robklg) wrote :

I upgraded to the latest ubuntu hardy yesterday.

Likewise, it was *still* activated by default.

Sebastien Bacher (seb128) wrote :

what is activated by default? is that true for new users too? was it activated before the upgrade? I tried on several gutsy upgrades and new installs and didn't get the issue using the current versions

flexR (partner55105605) wrote :

I upgraded from 7.10 to 8.04 yesterday.
Same problem: "allow to control pointer using keyboard" was set to 'on'.

keyboard: standard (pc105) usb type.

Rob (robklg) wrote :

Sebastien,

like flexR says, the 'allow to control pointer using keyboard' was set to 'on' after i upgraded wednesday to the latest development, from an up-to-date gutsy.

Before then i could use numlock, and type on the numeric keypad. After upgrade i noticed soon that it did not work anymore. Even after a reboot. I tried to file a bug, but found this bug report and the workaround described in the post by 'mikko sorri'.

The only specific settings i have made in the past about my keyboard are that i have use dvorak. But i never touched any other settings.

Rob (robklg) wrote :

my friend today updated also, he does not have this problem.

So i wonder what makes my specific installation different, to have triggered this.

Andreas Hasenack (ahasenack) wrote :

I also had this problem. My "upgrade" from Gutsy was a bit different, though: I installed Hardy RC over my existing partitions, but preserving /home.

I had to manually switch "allow to control pointer using keyboard" to off.

My keyboard is a Lenovo USB one:
Bus 003 Device 003: ID 04b3:301b IBM Corp. SK-8815 Keyboard

Ran into the same problem.

Upgraded from an up-to-date Gutsy to Hardy yesterday. No alpha, beta or RC versions of Hardy installed. Hardy distribution from the ubuntu.mirrors.skynet.be mirror. Numpad broken after the upgrade.

Same solution: switch "allow to control pointer using keyboard" to off.
Found this article very helpful: http://nancib.wordpress.com/2008/03/17/fixing-the-borked-numeric-keypad-in-ubuntu-hardy

Changed in gnome-control-center:
status: Confirmed → Invalid
MMarking (cpt-mocha) wrote :

I upgraded from Gutsy. Disabling the setting "allow to control pointer using keyboard" is not always persistant on my box. Sometimes I'll reboot and the setting witll stay disabled, other times I'll reboot and the setting will be re-enabled. Definitely a bug somewhere here..

I'm seeing the same inconsistent behaviour as in comment 34. After the first reboot after the upgrade, the keypad was in the cursor control mode. This time it is in normal number mode. My upgrade was from Gutsy to the released version of Hardy.

This would be a very frustrating bug for a novice user... still Ubuntu's main target audience?

Sebastien Bacher (seb128) wrote :

> This would be a very frustrating bug for a novice user... still Ubuntu's main target audience?

yes, what is this question really about? it's not really constructive

the bug doesn't happen on all the upgrades and seems to trigger only once for most people having the issue, would be interesting to know the corresponding gconf value before updating or how to trigger the bug to be able to work on it

Sorry, that was a bit over the top, especially out of context... :-( I'll send you an email explaining my frustration - it doesn't belong in this bug report.

So, you'd like to see the output of:

  gconftool-2 --get /desktop/gnome/accessibility/keyboard/mousekeys_enable

before and after an upgrade to Hardy on a system where the bug occurs?

If so, I'll do that on a laptop that I'll upgrade soon and see if the bug occurs after that upgrade...

Sebastien Bacher (seb128) wrote :

right, having the gconf configuration before and after upgrade would be useful

MMarking (cpt-mocha) wrote :

I'm seeing this issue on a fresh install of Hardy as well as an upgrade from Gutsy. It's actually worse on the fresh install, the check box gets ticked intermittently while I'm logged in (i.e. no rebooting necessary to trigger it). At the present time:

gconftool-2 --get /desktop/gnome/accessibility/keyboard/mousekeys_enable

false

As soon as it happens again I will make another post with the output. Shouldn't be too long! =)

MMarking (cpt-mocha) wrote :

I don't know if it helps, but I was looking though the system logs and in the Xorg log I see the following, a bunch of times repeating over and over, about 15 times.

SetGrabKeysState - enabled
SetGrabKeysState - disabled

MMarking (cpt-mocha) wrote :

I just wanted to point out that there is an easy way to get the numpad back to normal when this bug occurs. Just hold Shift and press NumLock.

Blempis (mikko-lempola) wrote :

I have two desktop computers. Both upgrades from 7.10 to 8.04 were painful. Normal internet upgrade failed during the install process and cd-upgrade's automatic option didn't work either.
"A dialog will be displayed offering you the opportunity to upgrade using that CD. "
- Ubuntu

"If the upgrade dialog is not displayed for any reason, you may also run the following command using Alt+F2: "
Not so straight work flow even here. A message popped up claiming that cd is not mounted, which it surely was. After remounting system seemed to hang but the announcement was hidden. It was under all the other windows but nothing indicated that it even exists.

Next step was to realize that cd-upgrade is defenately not going to do anything nor it is giving any instructions. The lacking piece of advise was that cd should be added to one's download sources. After that and number of error pop-ups everything seemed to be ok, but my numpad stopped responding. As I mentioned, all this happened during both hardy upgrades.

Solution (which is surely not intuitive) was this already mentioned one:
" 1. Go to System > Preferences > Accessibility > Keyboard Accessibility
   2. Select [x] Enable keyboard accessibility features
   3. Go to the tab Mouse Keys and deselect [ ] Enable keyboard accessibility features."

- Ubuntu - rather stable if not upgraded to LTS.

Hello,

The solution you posted works, temporairly only. For some reason for
me the box gets checked on its own. This is on 2 computers, one
upgraded to Hardy, the other a fresh install of Hardy.

--- Blempis <email address hidden> wrote:

> I have two desktop computers. Both upgrades from 7.10 to 8.04 were
> painful. Normal internet upgrade failed during the install process
> and cd-upgrade's automatic option didn't work either.
> "A dialog will be displayed offering you the opportunity to upgrade
> using that CD. "
> - Ubuntu
>
> "If the upgrade dialog is not displayed for any reason, you may also
> run the following command using Alt+F2: "
> Not so straight work flow even here. A message popped up claiming
> that cd is not mounted, which it surely was. After remounting system
> seemed to hang but the announcement was hidden. It was under all the
> other windows but nothing indicated that it even exists.
>
> Next step was to realize that cd-upgrade is defenately not going to
> do
> anything nor it is giving any instructions. The lacking piece of
> advise
> was that cd should be added to one's download sources. After that and
> number of error pop-ups everything seemed to be ok, but my numpad
> stopped responding. As I mentioned, all this happened during both
> hardy
> upgrades.
>
> Solution (which is surely not intuitive) was this already mentioned
> one:
> " 1. Go to System > Preferences > Accessibility > Keyboard
> Accessibility
> 2. Select [x] Enable keyboard accessibility features
> 3. Go to the tab Mouse Keys and deselect [ ] Enable keyboard
> accessibility features."
>
>
> - Ubuntu - rather stable if not upgraded to LTS.
>
> --
> Numeric keypad no longer works after upgrade
> https://bugs.launchpad.net/bugs/197589
> You received this bug notification because you are a direct
> subscriber
> of the bug.
>

Michael Nagel (nailor) wrote :

this bug just happened to me, but MMarkings workaround (shift+numlock) seems to work

Didn't see this bug on: 1 laptop upgrade from Gutsy to Hardy and 1 laptop fresh install of Hardy.

However, since you have to go to some effort to switch on numeric keyboard mode on laptops, that doesn't tell us much. :-(

Alan AZZERA (azzera-alan) wrote :

I had the problem at the very beginning of using Hardy. Then it evaporated... But it has appeared again ! My system is absolutely up to date... Problem exists with a Logitech Wake Desktop, and an old common Dell keyboard.

MMarking (cpt-mocha) wrote :

This problem had disappeared for a few months, then yesterday after applying a bunch of recent updates it came back again one time.

wheezer (mrnoblestone) wrote :

This bug still exists, and it's making me insane.

When I uncheck "allow to control the pointer using the keyboard" ubuntu, it holds for a few days, and then mysteriously gets unchecked again, at which point, using the arrow keys will immediately bork my user session and all work in process goes bye-bye. It's only screwed me seriously, about 4 times, thus far.

Can someone explain the status of this one to me? Is there something I can do to minimize this behavior? It's going to really mess me up, one of these days. I cannot afford to have my OS rebooting when I use the numpad arrow keys.

Mark Garrow (scunizi) wrote :

wheezer.. a few posts above mention a couple of things you have to do. Maybe you just didn't mention them all when listing what you had done. If you didn't do them it might be worth doing them in order, and then test and see if it returns. This was posted by Blempis.

Solution (which is surely not intuitive) was this already mentioned one:
" 1. Go to System > Preferences > Accessibility > Keyboard Accessibility
   2. Select [x] Enable keyboard accessibility features
   3. Go to the tab Mouse Keys and deselect [ ] Enable keyboard accessibility features."

Richard Eames (naddiseo) wrote :

I just did a clean install of Intrepid Alpha 6, and I have this bug again. Numlock is on, but numpad doesn;t work until I hit numlock 3 times.

D. Grady (fehknt) wrote :

I also had this annoyance. I multiboot between intrepid64 and hardy32 due to package requirements, and intrepid64 did not display this issue. Disabling the "allow keyboard to control my mouse" worked - but I would never have thought to look there because I never noticed the mouse moving when I was trying in vain to enter numbers. Thanks Launchpad + Community!

AvgUser (avguser) wrote :

This "Bug" or whatever we want to call it is a consistent issue on my system as well. While logged in after locking the screen, after a reboot sometimes, almost certainly after updates, and sometimes it goes a few weeks without issue.

This can be frustrating, easily. The default needs to be set to NOT allow mouse control via numpad... PLEASE

An easy fix once you know what happened, but infuriating if you are taken off-guard and an extreme annoyance at best...

Occurs for me in Hardy Beta, Hardy Final and Intrepid Beta... Regarless of upgrade or fresh install.

Let me know if you need specific hardware info, And what to provide plz...

Sander Stuurwold (sstuurwold) wrote :

Same here. Solution as described works but it would be nice if the setting is default unchecked...

wheezer (mrnoblestone) wrote :

No, this issue hasn't been fixed.

When I do precisely what Mark Garrow suggests, the fix only lasts for a few days or gnome restarts, at best, and then it just magically rechecks itself again.
I cannot recount how many documents i have now lost when Gnome borks on me. I am about to dump Ubuntu and go back to windows if I can't find a fix for this.

Bryce Harrington (bryce) on 2008-11-14
Changed in xserver-xorg-input-keyboard:
status: New → Confirmed

Hi,

I had the problem with the Keypad-mouse-control enabled today, too, after my children were playing with the keyboard when the screensaver was on (password locked).

Now I know, there is SHIFT-NUMLOCK key combination to toggle the state of the feature.
The feature can be toggled on/off using this key combination, even when the session is locked.
On relogin, the original state is not restored, so the feature was still enabled when I relogged in
and this was letting me wonder how my children were able to get my keyboard settings broken
without access to system configuration tools, as the setting was persistent, even restarting X11
or a reboot didn't help...

So I think it is a bug, when the settings can be changed in a persistent way even on a password locked screen, because it enables an unauthorized user to change your keyboard settings.

octoploid (cryptooctoploid) wrote :

My parents PC was hit by this bug today. I got a phone call from my father and he tells
me that the numblock keys don't work anymore. So I connect to his PC with vinagre
and find out he's right. I tell him to reboot the machine, but the problem is still there
after reboot. Then I ran xev on his machine and saw that the keyboard was generating
events as expected. My father plugged in another keyboard and everything worked fine.

I searched the net and found this bug. I've never heard of the SHIFT-NUMLOCK key
combination before...
I think this behavior (killing numblock keys even after reboot) needs immediate fixing.

Nicholas Janssen (xnicholas) wrote :

i am using microsoft natural usb keyboard. works perfect in windows xp

Bryce Harrington (bryce) on 2009-01-17
description: updated

Hi

If the number keys move the mouse arrow, then try Shift-NumLock to
switch to the normal behaviour (entering numbers with NumLock on or
cursor keys with NumLock off).

I hope, this helps,

Michael

Bryce Harrington schrieb:
> ** Description changed:
>
> I have standard ps2 keyboard and ps2-to-usb adapter. Numeric keys
> section stopped to work after updating to hardy. Num Lock on or off
> doesn't help. The numeric keys above letters work ok.
>
> If I log in to virtual konsole (Ctrl-Alt-F2) numeric keys work.
>
> xorg.conf:
> Section "InputDevice"
> Identifier "Generic Keyboard"
> Driver "kbd"
> Option "CoreKeyboard"
> Option "XkbRules" "xorg"
> Option "XkbModel" "pc105"
> Option "XkbLayout" "fi"
> EndSection
> + [lspci]
> + 00:00.0 Host bridge [0600]: VIA Technologies, Inc. K8M800 Host Bridge [1106:0204]
> + Subsystem: Acer Incorporated [ALI] Unknown device [1025:006e]
> + 01:00.0 VGA compatible controller [0300]: VIA Technologies, Inc. S3 Unichrome Pro VGA Adapter [1106:3108] (rev 01) (prog-if 00 [VGA controller])
> + Subsystem: Acer Incorporated [ALI] Unknown device [1025:006e]
>

Peter Newman (peternewman) wrote :

This bug has also affected me on Ubuntu 8.10/Intrepid Ibex. It was a clean install (my first of Ubuntu in October 2008 or thereabouts, I've been taking all the updates regularly and none of them have changed it across either. I'm running entirely headless (no keyboard, monitor or mouse connected), I've only just got round to resolving this, but it was fairly easy to find the fix at least, after changing the detected layout to UK didn't resolve it.

Eric (ericcart) wrote :

I've checked all the comments.

It's NOT solved. There's a temporary workaround with "Mouse Keys and deselect [ ] Enable keyboard accessibility features"

But It's only TEMPORARY.

Without pressing Shift-NumLock, It's being enabled again.

Thanks,
Eric

Nicholas Janssen (xnicholas) wrote :

978989789789789789789789789

ok this is seriously fucked up.

I just plugged in an old ps2 keyboard. i pressed the numlock key(on the ps2) and now both numpads work.

This is a clean install. I will restart and report back. tomarrow but.......

apparently plugging in an old ps2 keyboard and pressing numlock key will restore usb keyboard functionality.

Nicholas Janssen (xnicholas) wrote :

the usb keyboard does not control the numlock state. only the ps2.

Peter Newman (peternewman) wrote :

Mine has only ever been headless or with a P/S2 keyboard and has still suffered from this issue, as mentioned above, so I think the USB thing may be an additional (related) bug.

Bryce Harrington (bryce) wrote :

[Not sure why this is assigned to -keyboard; an explanation would help. Sounds like a config settings problem moreso than an input driver issue.]

Changed in xserver-xorg-input-keyboard:
status: Confirmed → Invalid
Nicholas Janssen (xnicholas) wrote :

this is a direct bug. no settings config can fix it. it is a problem
with(microsoft? usb)? keyboards on the latest released version of
ubuntu

On Mon, Feb 23, 2009 at 4:54 PM, Bryce Harrington
<email address hidden> wrote:
> [Not sure why this is assigned to -keyboard; an explanation would help.
> Sounds like a config settings problem moreso than an input driver
> issue.]
>
> ** Changed in: xserver-xorg-input-keyboard (Ubuntu)
>       Status: Confirmed => Invalid
>
> --
> Numeric keypad no longer works after upgrade
> https://bugs.launchpad.net/bugs/197589
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in gnome-control-center: Invalid
> Status in “gnome-control-center” source package in Ubuntu: Triaged
> Status in “xserver-xorg-input-keyboard” source package in Ubuntu: Invalid
>
> Bug description:
> I have standard ps2 keyboard and ps2-to-usb adapter. Numeric keys section stopped to work after updating to hardy. Num Lock on or off doesn't help. The numeric keys above letters work ok.
>
> If I log in to virtual konsole (Ctrl-Alt-F2) numeric keys work.
>
> xorg.conf:
> Section "InputDevice"
>        Identifier      "Generic Keyboard"
>        Driver          "kbd"
>        Option          "CoreKeyboard"
>        Option          "XkbRules"      "xorg"
>        Option          "XkbModel"      "pc105"
>        Option          "XkbLayout"     "fi"
> EndSection
> [lspci]
> 00:00.0 Host bridge [0600]: VIA Technologies, Inc. K8M800 Host Bridge [1106:0204]
>        Subsystem: Acer Incorporated [ALI] Unknown device [1025:006e]
> 01:00.0 VGA compatible controller [0300]: VIA Technologies, Inc. S3 Unichrome Pro VGA Adapter [1106:3108] (rev 01) (prog-if 00 [VGA controller])
>        Subsystem: Acer Incorporated [ALI] Unknown device [1025:006e]
>
>

Nicholas Janssen (xnicholas) wrote :

I just tried fedora 10, same problem. will try to install gentoo or a downgraded fedora, to see if the problem corrects.

Jordon Bedwell (envygeeks) wrote :

This is a problem with Ubuntu, I have confirmed it across several models of keyboards. I have to toggle several times and beat up the keyboard to get it to work correctly. There is an issue with the mapping perhaps or something more, I have not had time to fully look into it myself but I know it's rather annoying.

Nicholas Janssen (xnicholas) wrote :

This bug only occurs with USB keyboard. my ps2 keyboard does not
suffer from this issue.

The exact problem is that the usb keyboards's numlock state cannot be
changed via usb keyboard. ps2 keyboard can enable usb keyboard numlock
mode.

On Tue, Jun 2, 2009 at 4:05 PM, EnvyGeeks <email address hidden> wrote:
> This is a problem with Ubuntu, I have confirmed it across several models
> of keyboards.  I have to toggle several times and beat up the keyboard
> to get it to work correctly.  There is an issue with the mapping perhaps
> or something more, I have not had time to fully look into it myself but
> I know it's rather annoying.
>
> --
> Numeric keypad no longer works after upgrade
> https://bugs.launchpad.net/bugs/197589
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in gnome-control-center: Invalid
> Status in “gnome-control-center” source package in Ubuntu: Triaged
> Status in “xserver-xorg-input-keyboard” source package in Ubuntu: Invalid
>
> Bug description:
> I have standard ps2 keyboard and ps2-to-usb adapter. Numeric keys section stopped to work after updating to hardy. Num Lock on or off doesn't help. The numeric keys above letters work ok.
>
> If I log in to virtual konsole (Ctrl-Alt-F2) numeric keys work.
>
> xorg.conf:
> Section "InputDevice"
>        Identifier      "Generic Keyboard"
>        Driver          "kbd"
>        Option          "CoreKeyboard"
>        Option          "XkbRules"      "xorg"
>        Option          "XkbModel"      "pc105"
>        Option          "XkbLayout"     "fi"
> EndSection
> [lspci]
> 00:00.0 Host bridge [0600]: VIA Technologies, Inc. K8M800 Host Bridge [1106:0204]
>        Subsystem: Acer Incorporated [ALI] Unknown device [1025:006e]
> 01:00.0 VGA compatible controller [0300]: VIA Technologies, Inc. S3 Unichrome Pro VGA Adapter [1106:3108] (rev 01) (prog-if 00 [VGA controller])
>        Subsystem: Acer Incorporated [ALI] Unknown device [1025:006e]
>
>

Mike Morraye (mike-morraye-be) wrote :

This problem started after installing Ubuntu 9.04 on all my machines.
Changing keyboard didn't solve the problem.
If X.org isn't started, there is no problem.
By disabling the: "Pointer can be controlled using the keypad." option in gnome, this problem is solved.
(this an be toggled on and of by pressing "ctrl+alt+num lock".

Mike Morraye (mike-morraye-be) wrote :

This problem started after installing Ubuntu 9.04 on all my machines.
Changing keyboard didn't solve the problem.
If X.org isn't started, there is no problem.
By disabling the: "Pointer can be controlled using the keypad." option in gnome, this problem is solved.
(this an be toggled on and of by pressing "ctrl+alt+num lock".)

antigone (antigone314) wrote :

I seem to have a related problem, but not quite the same. NumLock worked fine on my prior USB keyboard (Inland Multimedia and Office keyboard M/N: MC855692) until last week. All of a sudden, *nothing* would make the number pad work again. I don't recall if this was right after an update or not. Thinking that it was the keyboard, I purchased a new USB keyboard (CaseLogic KWD-100). Sadly, I still can't use the number pad. Since I use it *all* the time, what can I do to fix the issue? I'm running 9.10/Karmic Koala, and have been since October. This problem just started last week, almost two months after the upgrade from Jaunty Jackalope.

antigone (antigone314) wrote :

Oh, and I guess I should clarify that I'd been successfully using the Inland keyboard since January of this year on two prior Ubuntu revs, including toggling the numlock key. I tried the ctrl-alt-numlock, but that didn't do anything. And if I disable x.org, my monitor won't work, so I'm not even going to try that. ;-)

antigone (antigone314) wrote :

Nevermind, found the answer ...

per http://www.cyberciti.biz/faq/linux-numeric-keypad-disabled-mouse-keysonly-works/

just press Shift+NumLock to toggle arrow mode & number mode. Voila, it works perfectly. Must've pressed once on accident and didn't re-press it accidently ;-)

Whew!!

mirak (mirak-mirak) wrote :

it would be nice to have an alert when you enable unvolontarily this kind of things

©TriMoon™ (tripple-moon) wrote :

I totally agree with mirak above me...
This bug drove me nutz!
But at least after a long search i finaly came to this thread where "Shift+NumLock" was mentioned to solve it.

Changed in gnome-control-center:
importance: Unknown → Medium
status: Invalid → Unknown
Olivier Tilloy (osomon) wrote :

A recent ugrade on my mom’s machine running lucid (lsb_release says 10.04.2) turned on the mouse keys in keyboard accessibility by default, when they were previously disabled. This had the very annoying consequence of the numeric keypad apparently not functioning any longer, and only by googling the issue did I find this bug report and understood what had happened. Needless to say, a normal user wouldn’t have found this kind of solution by herself…

I’m attaching apt’s recent log with the list of packages that were upgraded. This list doesn’t contain gnome-control-center, so the issue may actually be with another package.

Olivier Tilloy (osomon) wrote :

I downloaded all the source packages listed in apt’s upgrade log attached above in a lucid chroot, and I grep’ed through in search of "mousekeys" (the gconf key that controls whether mouse keys are enabled is /desktop/gnome/accessibility/keyboard/mousekeys_enable), but this didn’t yield any result.

The upgrade trail may be a red herring…

Eric Casteleijn (thisfred) wrote :

This just happened when I upgraded from Natty to Oneiric, fwiw...

wilk (j-cubizolles) wrote :

It happened to me going from Natty to Oneiric, @Eric coud you fix it ?

Mark Garrow (scunizi) wrote :

The solution is mentioned in the first few posts on this bug.. There are two ways to do it.. the long way (not really) check the post at the beginning area of the thread. The short version.. Shift+Numlock. That should fix it..

Id2ndR (id2ndr) wrote :

Alt + LShift + NumLock works on saucy (bug #192508 comments #91).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.